servicePrincipal: deletePasswordSingleSignOnCredentials
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete single sign-on credentials using a password for a user or group.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Application.ReadWrite.All and Directory.Read.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Application.ReadWrite.All and Directory.Read.All, Directory.ReadWrite.All |
Note
Users can create credentials for themselves. Service principal owners and admins with the following roles can create credentials for any user or group: GlobalAdministrator, ApplicationAdministrator, CloudApplicationAdministrator. To learn more, see Directory roles.
HTTP request
POST /servicePrincipals/{id}/deletePasswordSingleSignOnCredentials
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, provide a JSON object with the following parameters.
| Parameter | Type | Description |
|---|---|---|
| id | String | The ID of the user or group this credential set belongs to. |
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Examples
Request
The following is an example of a request.
POST https://graph.microsoft.com/beta/servicePrincipals/{id}/deletePasswordSingleSignOnCredentials
Content-type: application/json
{
"id": "5793aa3b-cca9-4794-679a240f8b58"
}
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for